function [V,x,y,z,CB,x_aw,y_aw,w_avail] = HUGIN1000()
%%HUGIN1000 is a function that returns the measurements of the HUGIN 1000

    %Known measurements
    V = 1.5252;
    minX = -2.615;
    maxX = 2.615;
    minY = -0.5;
    maxY = 0.5; %diameter 0.75 m
    minZ = -0.5;
    maxZ = 0.5; %diameter 0.75 m
    x = [minX maxX];
    y = [minY maxY];
    z = [minZ maxZ];
    CB = [-0.1578 0.00057 -0.01138];
    
    %Posistion of adjustable weights
    x_5 = 1.0325;
    x_6 = 1.0325;
    x_7 = -0.49341;
    x_8 = -0.49341;
    y_5 = 0.175;
    y_6 = -0.175;
    y_7 = 0.175;
    y_8 = -0.175;
    x_aw = [x_5 x_6 x_7 x_8];
    y_aw = [y_5 y_6 y_7 y_8];
    
    %Available weights
    w_avail = [1.2 2.4 4.8];
    
end

