uiwait(msgbox('You have selected pre mission mode','Pre mission','modal'));

%Load data based on config ID number
[C,n] = fileLoad(CONFIG);
n = n+1;
celldisp(C);
config = C{1}{n-1};
thisDate = strsplit(C{2}{n-1},'-');
date = thisDate{1};
time = thisDate{2};
thisTempDate = strsplit(date,'.');
thisDay = thisTempDate(1);
thisMonth = thisTempDate(2);
thisYear = thisTempDate(3);
thisTempTime = strsplit(time,':');
thisHour = thisTempTime(1);
thisMin = thisTempTime(2);
type = C{3}{n-1};
area = C{4}{n-1};
salinity = str2double(C{5}{n-1});
temperature = str2double(C{6}{n-1});
totalWeight = str2double(C{7}{n-1});
addedWeight = strsplit(C{8}{n-1},':');
depthDevNow = str2double(C{9}{n-1});
pitchDevNow = str2double(C{10}{n-1});
rollDevNow = str2double(C{11}{n-1});

%Check if the temperature can be used
format shortg
dateNow = fix(clock); %[year month day hour minute seconds]
yearNow = num2str(dateNow(1));
monthNow = num2str(dateNow(2));
dayNow = num2str(dateNow(3));
hourNow = num2str(dateNow(4));
minuteNow = num2str(dateNow(5));
thisDateNow = [dayNow '.' monthNow '.' yearNow];

%Set date and temperature
dateCheck = checkDate(yearNow,monthNow,dayNow,hourNow,thisYear,...
    thisMonth,thisDay,thisHour);
if dateCheck == 1 %The date is OK
    tempSelection = selectionTemperature(temperature,date);
    if tempSelection == 1
        thisTemperature = temperature;
    elseif tempSelection == 2
        temperatureTemp = inputTemperature;
        thisTemperature = temperatureTemp{1}; 
    end
elseif dateCheck == 2 %The date is not OK
    temperatureTemp = inputTemperature;
    thisTemperature = temperatureTemp{1}; 
end

%Set up values
density = calculateDensityNoPressure(thisTemperature,salinity);
thisAddedWeight = [str2double(addedWeight(1)) str2double(addedWeight(2)) str2double(addedWeight(3)) str2double(addedWeight(4))];

%Fetching AUV measurements
switch type
    case 'HUGIN1000'
        [V,x,y,z,CB,x_aw,~,w_avail] = HUGIN1000;
        thisType = 'HUGIN1000';
    case 'Remus'
        %PreRemusCalculate;
end

%Go to the calculations
[newAddedWeight,newTotalWeight] = calculateAdjustmentPreMode(V,...
    totalWeight,density,thisAddedWeight,depthDevNow,pitchDevNow,...
    rollDevNow,w_avail,x_aw);

%Save new data in ballasting file
fileEdit(CONFIG,type,area,salinity,thisTemperature,newTotalWeight,...
    newAddedWeight,depthDevNow,pitchDevNow,rollDevNow);