function[avgSalin,avgTemp,avgBuoyDer,avgPitchDer,avgRollDer] = ...
    dataLoading(configId)
%%dataLoading is a function that will load the required mission data 

    %Loading files and data
    depthFile = [configId '/depth.txt'];
    dataDepth = load(depthFile);
    ctdFile = [configId '/ctd.txt'];
    dataCTD = load(ctdFile);
    navposFile = [configId '/navpos.txt'];
    dataNavpos = load(navposFile);
    misFile = [configId '/mis.txt'];
    dataMis = load(misFile);
    velFile = [configId '/vel.txt'];
    dataVel = load(velFile);
     
    %Relevant data
    salinityDepthData = dataDepth(:,29);
    temperatureDepthData = dataDepth(:,22);
    
    salinityCtdData = dataCTD(:,6);
    temperatureCtdData = dataCTD(:,3);
  
    measuredDepthData = dataDepth(:,2);
    measuredPitchData = dataDepth(:,12);
    commandedPitchData = dataDepth(:,20);
    
    commandedDepthData = dataMis(:,2);
    revolutionsData = dataMis(:,9);
    
    velocityData = dataVel(:,2);
    rollData = dataNavpos(:,2);
    
    %Processing the relevant data
    [avgSalin,avgTemp,avgBuoyDer,avgPitchDer,avgRollDer] = ...
        dataProcessing(salinityDepthData,temperatureDepthData,...
        salinityCtdData,temperatureCtdData,measuredDepthData,...
        commandedDepthData,measuredPitchData,commandedPitchData,...
        revolutionsData,velocityData,rollData);
    
end

