function [ ] = fileCreate(configID,type,area,salinity,temperature,...
    weight,addedWeight)
%%fileCreate is a function that creates a ballasting file in the first 
%%mission mode

    thisType = char(type);
    thisSalinity = num2str(salinity);
    thisTemperature = num2str(temperature);
    totalWeight = num2str(weight);
    weightAdded = [num2str(addedWeight(1)) ':' num2str(addedWeight(2)) ':' num2str(addedWeight(3)) ':' num2str(addedWeight(4))];

    folderName = char(configID);
    fileName = [folderName '/ballasting.txt'];

    mkdir(folderName);
    edit(fileName);
    
    info1 = 'Config';
    info2 = 'Date';
    info3 = 'Type';
    info4 = 'Area';
    info5 = 'Salinity';
    info6 = 'Temperature';
    info7 = 'TotalWeight';
    info8 = 'AddedWeight'; %Added weight at the four points of adjustments
    info9 = 'DepthDeviation';
    info10 = 'PitchDeviation';
    info11 = 'RollDeviation';

    format shortg
    date = fix(clock); %[year month day hour minute seconds]
    year = num2str(date(1));
    month = num2str(date(2));
    day = num2str(date(3));
    hour = num2str(date(4));
    minute = num2str(date(5));
    thisDate = [day '.' month '.' year '-' hour ':' minute];

    fileID = fopen(fileName,'w+');
    fprintf(fileID,'%s %s %s %s %s %s %s %s %s %s %s ',...
        info1,info2,info3,info4,info5,info6,info7,info8,info9,info10,...
        info11);
    fprintf(fileID,'\r%s %s %s %s %s %s %s %s %s %s %s ',...
        configID,thisDate,thisType,area,thisSalinity,thisTemperature,...
        totalWeight,weightAdded,'Unknown','Unknown','Unknown');
    
    fclose(fileID);
end

