function [ ] = fileEdit(configID,type,area,salinity,temperature,weight,...
    addedWeight,depthDev,pitchDev,rollDev)
%%fileEdit is a function that will edit a ballasting file based on the
%%configuration ID
    thisType = char(type);
    totalWeight = num2str(weight);
    thisSalinity = num2str(salinity);
    thisTemperature = num2str(temperature);
    weightAdded = [num2str(addedWeight(1)) ':' num2str(addedWeight(2)) ':' num2str(addedWeight(3)) ':' num2str(addedWeight(4))];
    thisDepthDev = num2str(depthDev);
    thisPitchDev = num2str(pitchDev);
    thisRollDev = num2str(rollDev);
    
    %Set the time
    format shortg
    date = fix(clock);
    year = num2str(date(1));
    month = num2str(date(2));
    day = num2str(date(3));
    hour = num2str(date(4));
    minute = num2str(date(5));
    thisDate = [day '.' month '.' year '-' hour ':' minute];

    folderName = char(configID);
    fileName = [folderName '/ballasting.txt'];
    fileID = fopen(fileName,'at');
    
    while(~feof(fileID)) %This runs until the end of the file is reached
        status = fseek(fileID,0,'eof');
        if status == 0;
            break
        end
    end
        
    fprintf(fileID,'\r%s %s %s %s %s %s %s %s %s %s %s ',...
        configID,thisDate,thisType,area,thisSalinity,thisTemperature,...
        totalWeight,weightAdded,thisDepthDev,thisPitchDev,thisRollDev);
    
    fclose(fileID);
end

