function [addedWeight] = mappingAdjustments(weightAdjustment,w_avail)
%%mappingAdjustments is a function that maps the calculted ballast 
%%adjustment to match the available weights

    %Available weights
    w_1 = w_avail(3); %The largest weigth
    w_2 = w_avail(2); %The medium weight
    w_3 = w_avail(1); %The smallest weight

    %Needed weight adjustment 
    m_1 = weightAdjustment(1)+0.01; %Satify for checking of zero
    m_2 = weightAdjustment(2)+0.01;
    m_3 = weightAdjustment(3)+0.01;
    m_4 = weightAdjustment(4)+0.01;
    m = [m_1 m_2 m_3 m_4];
    
    %Calculate the need weights
    addedWeight = zeros(1,4);
    numberOfWeights = zeros(3,4);
    for i = 1:4
        
        %Check for the heaviest weight
        n1(i) = floor(m(i)/w_1);
        if n1(i) < 0
            m1(i) = 0;
            m_remain(i) = m(i);
        else
            m1(i) = w_1*n1(i);
            m_remain(i) = m(i)-m1(i);
        end
        
        %Check for the middle weight
        n2(i) = floor(m_remain(i)/w_2);
        if n2(i) < 0
            m2(i) = 0;
            m_lastremain(i) = m_remain(i);
        else
            m2(i) = w_2*n2(i);
            m_lastremain(i) = m_remain(i)-m2(i);
        end
        
        %Check for the smallest weight
        n3(i) = floor(m_lastremain(i)/w_3);
        if n3(i) < 0
            m3(i) = 0;
        else
            m3(i) = n3(i)*w_3;
        end 

        %Summing up the needed weights
        addedWeight(i) = m1(i)+m2(i)+m3(i);
        numberOfWeights(1,i) = n1(i);
        numberOfWeights(2,i) = n2(i);
        numberOfWeights(3,i) = n3(i);
    end

    addedWeight = [addedWeight(1) addedWeight(2) addedWeight(3) addedWeight(4)];
    
    %Instructions for adjusting weights 
    message1 = sprintf('Should have %d of the 4.8 kg weight, %d of the 2.4 kg weight and %d of the 1.2 kg weight',...
        numberOfWeights(1,1),numberOfWeights(2,1),numberOfWeights(3,1));
    uiwait(msgbox(message1,'Adjustments for front starboard side','modal'));
    
    message2 = sprintf('Should have %d of the 4.8 kg weight, %d of the 2.4 kg weight and %d of the 1.2 kg weight',...
        numberOfWeights(1,2),numberOfWeights(2,2),numberOfWeights(3,2));
    uiwait(msgbox(message2,'Adjustments for front port side','modal'));
    
    message3 = sprintf('Should have %d of the 4.8 kg weight, %d of the 2.4 kg weight and %d of the 1.2 kg weight',...
        numberOfWeights(1,3),numberOfWeights(2,3),numberOfWeights(3,3));
    uiwait(msgbox(message3,'Adjustments for rear starboard side','modal'));
    
    message4 = sprintf('Should have %d of the 4.8 kg weight, %d of the 2.4 kg weight and %d of the 1.2 kg weight',...
        numberOfWeights(1,4),numberOfWeights(2,4),numberOfWeights(3,4));
    uiwait(msgbox(message4,'Adjustments for rear port side','modal'));    
   
end

